View Issue Details

IDProjectCategoryView StatusLast Update
0021619mantisbtcode cleanuppublic2017-02-26 21:17
Reporterdregad 
Assigned Todregad 
PrioritynormalSeveritytweakReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target Version2.2.0Fixed in Version2.2.0 
Summary0021619: Use constants instead of hardcoded values for filter view types
Description

Throughout the code, we're using 'simple' and 'advanced' strings to reference the filter view types.

We should rely on constants instead.

TagsNo tags attached.

Relationships

related to 0017917 new Remove magic constants in filter_api.php / view_all_set.php 

Activities

Related Changesets

MantisBT: master 7a663f4a

2017-02-04 08:42:18

dregad

Details Diff
Use constants for filter view types

Define constants FILTER_VIEW_TYPE_SIMPLE and FILTER_VIEW_TYPE_ADVANCED
to reference filter view types, instead of relying on hardcoded strings
'simple' and 'advanced'.

Fixes 0021619
mod - api/soap/mc_filter_api.php Diff File
mod - core/constant_inc.php Diff File
mod - core/filter_api.php Diff File
mod - core/filter_form_api.php Diff File
mod - manage_filter_edit_page.php Diff File
mod - plugins/MantisGraph/pages/issues_trend_bycategory_table.php Diff File
mod - plugins/MantisGraph/pages/issues_trend_bystatus_table.php Diff File
mod - search.php Diff File
mod - view_filters_page.php Diff File

Issue History

Date Modified Username Field Change
2016-08-16 19:28 dregad New Issue
2016-08-16 19:28 dregad Status new => assigned
2016-08-16 19:28 dregad Assigned To => dregad
2016-08-20 19:42 cproensa Relationship added related to 0017917
2016-08-28 10:37 atrol Target Version 1.3.1 => 1.3.2
2016-10-02 19:36 atrol Target Version 1.3.2 => 1.3.3
2016-10-30 23:23 vboctor Target Version 1.3.3 => 1.3.4
2016-11-27 08:22 dregad Target Version 1.3.4 => 1.3.5
2016-12-30 16:24 atrol Target Version 1.3.5 => 1.3.6
2017-01-24 09:04 dregad Target Version 1.3.6 => 2.1.0
2017-01-31 04:03 vboctor Target Version 2.1.0 => 2.2.0
2017-02-04 08:59 dregad Note Added: 0055485
2017-02-05 04:51 dregad Changeset attached => MantisBT master 7a663f4a
2017-02-05 04:51 dregad Status assigned => resolved
2017-02-05 04:51 dregad Resolution open => fixed
2017-02-05 04:51 dregad Fixed in Version => 2.2.0
2017-02-26 21:17 vboctor Status resolved => closed